Name:		cpm
Version:	0.23
Release:	0.12.beta%{?dist}
Summary:	Console Password Manager

Group:		Applications/Databases
License:	GPLv2+
URL:		http://www.harry-b.de/dokuwiki/doku.php?id=harry:cpm
Source0:	http://downloads.sourceforge.net/passwordms/%{name}-%{version}beta.tar.gz
Source1:	cpm.pod
Patch0:		cpm-0.23beta-make.patch
Patch1:		cpm-0.23beta-disclaimer.patch
Patch2:		cpm-0.23beta-sigint.patch
Patch3:		cpm-0.23beta-open.patch
Patch4:		cpm-0.23beta-ignore-diff-result.patch
Patch5:		cpm-0.23beta-cracklib-dictpath.patch

BuildRequires:	cracklib-devel, cracklib-dicts
BuildRequires:	gpgme-devel
BuildRequires:	cdk-devel
BuildRequires:	dotconf-devel 
BuildRequires:	ncurses-devel
BuildRequires:	libxml2-devel >= 2.6.16,
BuildRequires:	zlib-devel
BuildRequires:	gettext
BuildRequires:	perl-podlators

%description
CPM is a ncurses based console tool to manage passwords
and store them public key encrypted in a file - even for
more than one person. The encryption is handled via GnuPG
so the programs data can be accessed via gpg as well,
in case you want to have a look inside. The data is stored
as as zlib compressed XML so it’s even possible to reuse
the data for some other purpose.

%prep
%setup -q -n %{name}-%{version}beta
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5
for file in docs/changelog docs/ChangeLog docs/cpm.txt docs/GPLv2 docs/README; do
	mv $file timestamp
	iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
	touch -r timestamp $file
done

%build
%configure --with-crack-dict=%{_libdir}/cracklib_dict CFLAGS="-I/usr/include/cdk/ %{optflags}" 
make %{?_smp_mflags} 
pod2man --release=%{name}-%{version}beta --center="%{summary}" --name=%{name} %{SOURCE1} ./docs/cpm.1

%install
make install DESTDIR=$RPM_BUILD_ROOT mandir="%{_mandir}"
install -D -p -m 644 conf/cpmrc-default $RPM_BUILD_ROOT%{_sysconfdir}/cpmrc
%find_lang %{name}

%files -f %{name}.lang
%doc conf/cpmrc-default docs/ChangeLog docs/changelog docs/GPLv2 docs/README ./share/cpm/*
%attr (4755,root,root) %{_bindir}/cpm
%config(noreplace) %{_sysconfdir}/cpmrc
%{_mandir}/man1/cpm*

%changelog
* Sun Aug 11 2013 Paul Howarth <paul@city-fan.org> - 0.23-0.12.beta
- Fix FTBFS rhbz #992091

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-0.11.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.23-0.10.beta
- Perl 5.18 rebuild

* Mon Mar 04 2013 Mat Booth <fedora@matbooth.co.uk> - 0.23-0.9.beta
- Fix FTBFS rhbz #913928
- Fix source URL.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-0.8.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-0.7.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-0.6.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-0.4.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-0.3.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-0.2.beta
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 5 2009 Marek Mahut <mmahut@fedoraproject.org> - 0.23beta-1
- Initial build
